Constants (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.util.scan, class: Constants

# Class Constants

java.lang.Object
org.apache.tomcat.util.scan.Constants

public final class Constants extends Object
String constants for the scan package.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JAR_EXT`
  JAR file extension.
  `static final String`
  `Package`
  Package name for scan utilities.
  `static final String`
  `SCAN_JARS_PROPERTY`
  System property for JARs to scan explicitly.
  `static final String`
  `SKIP_JARS_PROPERTY`
  System property for JARs to skip during scanning.
  `static final String`
  `WEB_INF_CLASSES`
  Standard web application compiled classes directory path.
  `static final String`
  `WEB_INF_LIB`
  Standard web application library directory path.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Package

    public static final String Package
    Package name for scan utilities.
    See Also:
      - Constant Field Values

  - ### SKIP_JARS_PROPERTY

    public static final String SKIP_JARS_PROPERTY
    System property for JARs to skip during scanning.
    See Also:
      - Constant Field Values

  - ### SCAN_JARS_PROPERTY

    public static final String SCAN_JARS_PROPERTY
    System property for JARs to scan explicitly.
    See Also:
      - Constant Field Values

  - ### JAR_EXT

    public static final String JAR_EXT
    JAR file extension.
    See Also:
      - Constant Field Values

  - ### WEB_INF_LIB

    public static final String WEB_INF_LIB
    Standard web application library directory path.
    See Also:
      - Constant Field Values

  - ### WEB_INF_CLASSES

    public static final String WEB_INF_CLASSES
    Standard web application compiled classes directory path.
    See Also:
      - Constant Field Values